Subject: [DNSOP] Re: optimisng root zone signing for iXFR
From: Steve Crocker <[email-masked]>
To: Paul Vixie <paul=[email-masked]>
Cc: Jim Reid <[email-masked]>, Ben Schwartz <bemasc=[email-masked]>, Wes Hardaker <[email-masked]>, Philip Homburg <[email-masked]>, [email-masked]
Date: Mon, 2 Feb 2026 10:26:10 -0500
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

Paul,

I, for one, am interested in why you do not think hyperlocal root is
beneficial.

Steve

Sent by a Verified

sender

On Mon, Feb 2, 2026 at 10:24 AM Paul Vixie <paul=
[email-masked]> wrote:

> Jim, if we believe hyper local root has benefits which outweigh its
> complexity costs [noting: I do not] then timeliness, authenticity, and
> network load are still vital. Dnssec and ixfr must therefore also be vital.
> This would justify fine tuning of the dnssec part in order to optimize the
> ixfr part. I respect your caution but we have already thrown caution to the
> wind on this topic.
> Paul Vixie
>
> Jan 30, 2026 13:19:45 Jim Reid <[email-masked]>:
>
>
>
> On 30 Jan 2026, at 19:24, Ben Schwartz <bemasc=[email-masked]>
> wrote:
>
> Can, and should, the IETF advise DNS root zone signers to adjust their
> behavior to improve support for IXFR?
>
>
> Maybe, maybe not. Before the IETF starts solutioneering on this topic,
> gathering more data would be advisable: ie is there a problem here that
> needs fixing? Optimising for root zone ixfrs is all very well in the
> abstract and I recognise it's at least a theoretical problem. But would it
> make a material difference?
>
> _______________________________________________
> DNSOP mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>